Bug 1425094 - cannot create or edit subnets and domains in IE11
Summary: cannot create or edit subnets and domains in IE11
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Networking
Version: 6.2.7
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Adam Ruzicka
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: 1335839
TreeView+ depends on / blocked
 
Reported: 2017-02-20 14:39 UTC by Evgeni Golov
Modified: 2019-04-01 20:27 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-21 16:54:17 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 18587 None None None 2017-02-21 12:04 UTC
Red Hat Bugzilla 1335604 None None None Never
Red Hat Bugzilla 1439796 None None None Never

Internal Trackers: 1335604 1439796

Description Evgeni Golov 2017-02-20 14:39:11 UTC
Description of problem:
Satellite 6.2.6
Internet Explorer 11.0.9600.18450 on Windows 8.1

According to https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html/installation_guide/preparing_your_environment_for_installation#supported_browsers.adoc IE11 should work "OK".

When trying to create or edit an existing subnet or domain in Internet Explorer, the browser only shows a 500 error when clicking submit:
Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.
Please contact the server administrator at [no address given] to inform them of the time this error occurred, and the actions you performed just before this error.
More information about this error may be available in the server error log.

When looking at foreman-tail, there is not much to see:
==> /var/log/httpd/foreman-ssl_access_ssl.log <==
192.0.2.20 - - [20/Feb/2017:14:28:42 +0100] "POST /domains/6-example-example-com HTTP/1.1" 500 531 "https://sat6.example.com/domains" "Mozilla/5.0 (Windows NT 6.3; WOW64; Trident/7.0; rv:11.0) like Gecko"

==> /var/log/httpd/foreman-ssl_error_ssl.log <==
[Mon Feb 20 14:28:42.412067 2017] [ssl:warn] [pid 15416] [client 192.0.2.20:32527] AH02227: Failed to set r->user to 'SSL_CLIENT_S_DN_CN', referer: https://sat6.example.com/domains
[Mon Feb 20 14:28:42.419074 2017] [core:error] [pid 15416] [client 192.0.2.20:32527] End of script output before headers: domains, referer: https://sat6.example.com/domains

Especially, there on no POST/PATCH request reaching Foreman.

Compare to a similar request in Firefox:
==> /var/log/httpd/foreman-ssl_access_ssl.log <==
192.0.2.20 - - [20/Feb/2017:14:34:23 +0100] "POST /domains/4-example-com HTTP/1.1" 302 106 "https://sat6.example.com/domains" "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:51.0) Gecko/20100101 Firefox/51.0"

==> /var/log/httpd/foreman-ssl_error_ssl.log <==
[Mon Feb 20 14:34:23.953415 2017] [ssl:warn] [pid 15414] [client 192.0.2.20:18171] AH02227: Failed to set r->user to 'SSL_CLIENT_S_DN_CN', referer: https://sat6.example.com/domains
[Mon Feb 20 14:34:24.078835 2017] [ssl:warn] [pid 15414] [client 192.0.2.20:18171] AH02227: Failed to set r->user to 'SSL_CLIENT_S_DN_CN', referer: https://sat6.example.com/domains

==> /var/log/foreman/production.log <==
2017-02-20 14:34:23 [app] [I] Started PATCH "/domains/4-example-com" for 192.0.2.20 at 2017-02-20 14:34:23 +0100
2017-02-20 14:34:23 [app] [I] Processing by DomainsController#update as */*
2017-02-20 14:34:23 [app] [I]   Parameters: {"utf8"=>"?", "authenticity_token"=>"pxKwq/cmpsg+U1f4P7S+84/XkD8wjPqp8EFzWBSVCKI=", "domain"=>{"name"=>"example.com", "fullname"=>"sss", "dns_id"=>"", "location_ids"=>["4", "", "3", "5"], "organization_ids"=>["1", ""]}, "id"=>"4-example-com"}
2017-02-20 14:34:24 [app] [I] Redirected to https://sat6.example.com/domains
2017-02-20 14:34:24 [app] [I] Completed 302 Found in 102ms (ActiveRecord: 16.1ms)
2017-02-20 14:34:24 [app] [I] Started GET "/domains" for 192.0.2.20 at 2017-02-20 14:34:24 +0100
2017-02-20 14:34:24 [app] [I] Processing by DomainsController#index as */*
2017-02-20 14:34:24 [app] [I]   Rendered domains/index.html.erb within layouts/application (29.9ms)
2017-02-20 14:34:24 [app] [I]   Rendered common/_searchbar.html.erb (5.4ms)
2017-02-20 14:34:24 [app] [I]   Rendered layouts/_application_content.html.erb (6.8ms)
2017-02-20 14:34:24 [app] [I]   Rendered home/_submenu.html.erb (1.6ms)
2017-02-20 14:34:24 [app] [I]   Rendered home/_user_dropdown.html.erb (1.7ms)
2017-02-20 14:34:24 [app] [I] Read fragment views/tabs_and_title_records-3 (0.2ms)
2017-02-20 14:34:24 [app] [I]   Rendered home/_topbar.html.erb (5.1ms)
2017-02-20 14:34:24 [app] [I]   Rendered layouts/base.html.erb (7.0ms)
2017-02-20 14:34:24 [app] [I] Completed 200 OK in 75ms (Views: 45.0ms | ActiveRecord: 8.1ms)

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
192.0.2.20 - - [20/Feb/2017:14:34:24 +0100] "GET /domains HTTP/1.1" 200 5478 "https://sat6.example.com/domains" "Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:51.0) Gecko/20100101 Firefox/51.0"


Version-Release number of selected component (if applicable):
Satellite 6.2.6, did not test with 6.2.7 or snaps yet.

How reproducible:
100%

Steps to Reproduce:
1. use IE
2. open create/edit dialog for a domain or subnet
3. click submit

Actual results:
error

Expected results:
entry gets created/edited

Additional info:

Comment 1 Evgeni Golov 2017-02-20 17:18:20 UTC
Just reproduced this on 6.2.7 with IE11 on Win 8.1 with a clean VM from https://developer.microsoft.com/en-us/microsoft-edge/tools/vms/

Comment 2 Evgeni Golov 2017-02-21 09:20:07 UTC
Digging along I think this is a dupe of https://bugzilla.redhat.com/show_bug.cgi?id=1335604
Will investigate

Comment 3 Evgeni Golov 2017-02-21 11:12:02 UTC
Not a dupe, but the fix is identical, will open a PR upstream soon.

Comment 4 Evgeni Golov 2017-02-21 12:04:41 UTC
Created redmine issue http://projects.theforeman.org/issues/18587 from this bug

Comment 6 pm-sat@redhat.com 2017-03-08 11:14:06 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18587 has been resolved.

Comment 8 Adam Ruzicka 2017-08-23 08:53:19 UTC
Verified.
Version Tested: Satellite-6.3 Snap 12

Package versions:
satellite-6.3.0-16.0.beta.el7sat.noarch
foreman-1.15.3-1.el7sat.noarch

Pulled IE11 on Windows 7 VM image from modern.ie, created and edited a domain, create and edited a subnet, everything finished successfully.

>> Domain create
==> /var/log/httpd/foreman-ssl_access_ssl.log <==
192.168.122.252 - - [23/Aug/2017:08:47:51 +0000] "POST /domains HTTP/1.1" 302 96 "https://192.168.122.74/domains/new" "Mozilla/5.0 (Windows NT 6.1; Trident/7.0; rv:11.0) like Gecko"
192.168.122.252 - - [23/Aug/2017:08:47:51 +0000] "GET /domains HTTP/1.1" 200 5647 "https://192.168.122.74/domains/new" "Mozilla/5.0 (Windows NT 6.1; Trident/7.0; rv:11.0) like Gecko"

==> /var/log/foreman/production.log <==
2017-08-23 08:47:51 9b036990 [app] [I] Started POST "/domains" for 192.168.122.252 at 2017-08-23 08:47:51 +0000
2017-08-23 08:47:51 9b036990 [app] [I] Processing by DomainsController#create as HTML
2017-08-23 08:47:51 9b036990 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"xwWJNJzZRffe1ZAubE89j98oA0zMluHU6qvcuDtPY+29IlmgqY1c1OPfnKbkxLt82ZXoV9/RAEY2rQyrjmp/6w==", "domain$=>{"name"=>"dc1.grid4x5.corp.megacompute.com", "fullname"=>"", "location_ids"=>[""], "organization_ids"=>["", "1"]}, "commit"=>"Submit"}
2017-08-23 08:47:51 9b036990 [app] [I] Current user: admin (administrator)
2017-08-23 08:47:51 9b036990 [app] [I] Redirected to https://192.168.122.74/domains
2017-08-23 08:47:51 9b036990 [app] [I] Completed 302 Found in 85ms (ActiveRecord: 20.4ms)
2017-08-23 08:47:51 13ddb241 [app] [I] Started GET "/domains" for 192.168.122.252 at 2017-08-23 08:47:51 +0000
2017-08-23 08:47:51 13ddb241 [app] [I] Processing by DomainsController#index as HTML
2017-08-23 08:47:51 13ddb241 [app] [I] Current user: admin (administrator)
2017-08-23 08:47:51 13ddb241 [app] [I]   Rendered domains/index.html.erb within layouts/application (32.1ms)
2017-08-23 08:47:51 13ddb241 [app] [I]   Rendered common/_searchbar.html.erb (9.4ms)
2017-08-23 08:47:51 13ddb241 [app] [I]   Rendered layouts/_application_content.html.erb (11.2ms)
2017-08-23 08:47:51 13ddb241 [app] [I] Deface: [WARNING] No :original defined for 'theme_resources', you should change its definition to include:
 |  :original => '3e6eaabe85a6c70b2023f985d7f96e424d1b2f2d' 
2017-08-23 08:47:51 13ddb241 [app] [I] Deface: [WARNING] No :original defined for 'remove foreman name from topbar', you should change its definition to include:
 |  :original => '6f86bcbd36e017373b168cc34f62c6deb016bb55' 
2017-08-23 08:47:51 13ddb241 [app] [I] Deface: [WARNING] No :original defined for 'add link to home', you should change its definition to include:
 |  :original => '65925c62c5e6c4f7b9ec13a7f700a1ae8bd39ec2' 
2017-08-23 08:47:51 13ddb241 [app] [I]   Rendered home/_submenu.html.erb (2.6ms)
2017-08-23 08:47:51 13ddb241 [app] [I]   Rendered home/_user_dropdown.html.erb (2.1ms)
2017-08-23 08:47:51 13ddb241 [app] [I] Read fragment views/tabs_and_title_records-3 (0.1ms)
2017-08-23 08:47:51 13ddb241 [app] [I]   Rendered home/_topbar.html.erb (7.5ms)
2017-08-23 08:47:51 13ddb241 [app] [I]   Rendered layouts/base.html.erb (18.2ms)
2017-08-23 08:47:51 13ddb241 [app] [I] Completed 200 OK in 95ms (Views: 75.6ms | ActiveRecord: 6.5ms)


>> Domain edit
==> /var/log/httpd/foreman-ssl_access_ssl.log <==                                             
192.168.122.252 - - [23/Aug/2017:08:48:51 +0000] "POST /domains/2-dc1-grid4x5-corp-megacompute-com HTTP/1.1" 302 96 "https://192.168.122.74/domains" "Mozilla/5.0 (Windows NT 6.1; Trident/7.0; rv:11.0) like Gecko"                        
192.168.122.252 - - [23/Aug/2017:08:48:52 +0000] "GET /domains HTTP/1.1" 200 5662 "https://192.168.122.74/domains" "Mozilla/5.0 (Windows NT 6.1; Trident/7.0; rv:11.0) like Gecko"           

==> /var/log/foreman/production.log <==        
2017-08-23 08:48:51 9a5b6c96 [app] [I] Started PATCH "/domains/2-dc1-grid4x5-corp-megacompute-com" for 192.168.122.252 at 2017-08-23 08:48:51 +0000                                          
2017-08-23 08:48:51 9a5b6c96 [app] [I] Processing by DomainsController#update as */*          
2017-08-23 08:48:51 9a5b6c96 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"0K/GmOfSDVRly+tHWehSLv4KrgoitnqqL0+ZFXLhOruqiBYM0oYUd1jB58/RY9Td+LdFETHxmzjzSUkGx8QmvQ==", "domain"=>{"name"=>"dc1.grid4x5.corp.megacompute.com", "fullname"=>"This is a domain", "location_ids"=>[""], "organization_ids"=>["", "1"]}, "_ie_support"=>"", "id"=>"2-dc1-grid4x5-corp-megacompute-com"}                                         
2017-08-23 08:48:51 9a5b6c96 [app] [I] Current user: admin (administrator)                    
2017-08-23 08:48:52 9a5b6c96 [app] [I] Redirected to https://192.168.122.74/domains           
2017-08-23 08:48:52 9a5b6c96 [app] [I] Completed 302 Found in 55ms (ActiveRecord: 11.2ms)     
2017-08-23 08:48:52 5d1aa4a4 [app] [I] Started GET "/domains" for 192.168.122.252 at 2017-08-23 08:48:52 +0000                                                                               
2017-08-23 08:48:52 5d1aa4a4 [app] [I] Processing by DomainsController#index as */*           
2017-08-23 08:48:52 5d1aa4a4 [app] [I] Current user: admin (administrator)                    
2017-08-23 08:48:52 5d1aa4a4 [app] [I]   Rendered domains/index.html.erb within layouts/application (6.5ms)                                                                                  
2017-08-23 08:48:52 5d1aa4a4 [app] [I]   Rendered common/_searchbar.html.erb (2.8ms)          
2017-08-23 08:48:52 5d1aa4a4 [app] [I]   Rendered layouts/_application_content.html.erb (5.3ms)                                                                                              
2017-08-23 08:48:52 5d1aa4a4 [app] [I] Deface: [WARNING] No :original defined for 'theme_resources', you should change its definition to include:                                            
 |  :original => '3e6eaabe85a6c70b2023f985d7f96e424d1b2f2d'                                   
2017-08-23 08:48:52 5d1aa4a4 [app] [I] Deface: [WARNING] No :original defined for 'remove foreman name from topbar', you should change its definition to include:                            
 |  :original => '6f86bcbd36e017373b168cc34f62c6deb016bb55'                                   
2017-08-23 08:48:52 5d1aa4a4 [app] [I] Deface: [WARNING] No :original defined for 'add link to home', you should change its definition to include:                                           
 |  :original => '65925c62c5e6c4f7b9ec13a7f700a1ae8bd39ec2'                                   
2017-08-23 08:48:52 5d1aa4a4 [app] [I]   Rendered home/_submenu.html.erb (2.0ms)              
2017-08-23 08:48:52 5d1aa4a4 [app] [I]   Rendered home/_user_dropdown.html.erb (1.6ms)        
2017-08-23 08:48:52 5d1aa4a4 [app] [I] Read fragment views/tabs_and_title_records-3 (0.1ms)   
2017-08-23 08:48:52 5d1aa4a4 [app] [I]   Rendered home/_topbar.html.erb (9.2ms)               
2017-08-23 08:48:52 5d1aa4a4 [app] [I]   Rendered layouts/base.html.erb (17.4ms)              
2017-08-23 08:48:52 5d1aa4a4 [app] [I] Completed 200 OK in 55ms (Views: 38.5ms | ActiveRecord: 4.0ms)

>> Subnet create
==> /var/log/httpd/foreman-ssl_access_ssl.log <==
192.168.122.252 - - [23/Aug/2017:08:49:55 +0000] "POST /subnets HTTP/1.1" 302 96 "https://192.168.122.74/subnets/new" "Mozilla/5.0 (Windows NT 6.1; Trident/7.0; rv:11.0) like Gecko"
192.168.122.252 - - [23/Aug/2017:08:49:55 +0000] "GET /subnets HTTP/1.1" 200 5715 "https://192.168.122.74/subnets/new" "Mozilla/5.0 (Windows NT 6.1; Trident/7.0; rv:11.0) like Gecko"

==> /var/log/foreman/production.log <==
2017-08-23 08:49:55 4a578d45 [app] [I] Started POST "/subnets" for 192.168.122.252 at 2017-08-23 08:49:55 +0000
2017-08-23 08:49:55 4a578d45 [app] [I] Processing by SubnetsController#create as HTML
2017-08-23 08:49:55 4a578d45 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"4NAwUZ9XBnQjKzeW7J4GxtY5IILoKQWChX20ckM1zUia9+DFqgMfVx4hOx5kFYA10ITLmftu5BBZe2Rh9hDRTg==", "subnet"=>{"name"=>"libvirt", "type"=>"Subnet::Ipv4", "network"=>"192.168.122.0", "cidr"=>"24", "mask"=>"255.255.255.0", "gateway"=>"", "dns_primary"=>"", "dns_secondary"=>"", "ipam"=>"None", "from"=>"", "to"=>"", "vlanid"=>"", "boot_mode"=>"DHCP", "domain_ids"=>[""], "discovery_id"=>"", "remote_execution_proxy_ids"=>[""], "location_ids"=>[""], "organization_ids"=>["", "1"]}, "redirect"=>"", "commit"=>"Submit"}
2017-08-23 08:49:55 4a578d45 [app] [I] Current user: admin (administrator)
2017-08-23 08:49:55 4a578d45 [app] [I] Redirected to https://192.168.122.74/subnets
2017-08-23 08:49:55 4a578d45 [app] [I] Completed 302 Found in 53ms (ActiveRecord: 10.9ms)
2017-08-23 08:49:55 d3ed2716 [app] [I] Started GET "/subnets" for 192.168.122.252 at 2017-08-23 08:49:55 +0000
2017-08-23 08:49:55 d3ed2716 [app] [I] Processing by SubnetsController#index as HTML
2017-08-23 08:49:55 d3ed2716 [app] [I] Current user: admin (administrator)
2017-08-23 08:49:56 d3ed2716 [app] [I]   Rendered subnets/index.html.erb within layouts/application (19.6ms)
2017-08-23 08:49:56 d3ed2716 [app] [I]   Rendered common/_searchbar.html.erb (2.4ms)
2017-08-23 08:49:56 d3ed2716 [app] [I]   Rendered layouts/_application_content.html.erb (2.8ms)
2017-08-23 08:49:56 d3ed2716 [app] [I]   Rendered home/_submenu.html.erb (1.2ms)
2017-08-23 08:49:56 d3ed2716 [app] [I]   Rendered home/_user_dropdown.html.erb (1.1ms)
2017-08-23 08:49:56 d3ed2716 [app] [I] Read fragment views/tabs_and_title_records-3 (0.1ms)
2017-08-23 08:49:56 d3ed2716 [app] [I]   Rendered home/_topbar.html.erb (3.5ms)
2017-08-23 08:49:56 d3ed2716 [app] [I]   Rendered layouts/base.html.erb (9.1ms)
2017-08-23 08:49:56 d3ed2716 [app] [I] Completed 200 OK in 47ms (Views: 29.1ms | ActiveRecord: 6.7ms)

>> Subnet edit
==> /var/log/httpd/foreman-ssl_access_ssl.log <==
192.168.122.252 - - [23/Aug/2017:08:51:11 +0000] "POST /subnets/1-libvirt HTTP/1.1" 302 96 "https://192.168.122.74/subnets" "Mozilla/5.0 (Windows NT 6.1; Trident/7.0; rv:11.0) like Gecko"
192.168.122.252 - - [23/Aug/2017:08:51:12 +0000] "GET /subnets HTTP/1.1" 200 5715 "https://192.168.122.74/subnets" "Mozilla/5.0 (Windows NT 6.1; Trident/7.0; rv:11.0) like Gecko"

==> /var/log/foreman/production.log <==
2017-08-23 08:51:11 7804532f [app] [I] Started PATCH "/subnets/1-libvirt" for 192.168.122.252 at 2017-08-23 08:51:11 +0000
2017-08-23 08:51:11 7804532f [app] [I] Processing by SubnetsController#update as */*
2017-08-23 08:51:11 7804532f [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"SzBx/dFH5nMakKWtyoiiOJ4B4yDj0LYZzgV11OrAkyAxF6Fp5BP/UCeaqSVCAyTLmLwIO/CXV4sSA6XHX+WPJg==", "subnet"=>{"name"=>"libvirt", "network"=>"192.168.122.0", "cidr"=>"24", "mask"=>"255.255.255.0", "gateway"=>"192.168.122.1", "dns_primary"=>"", "dns_secondary"=>"", "ipam"=>"None", "from"=>"", "to"=>"", "vlanid"=>"", "boot_mode"=>"DHCP", "domain_ids"=>[""], "discovery_id"=>"", "remote_execution_proxy_ids"=>[""], "location_ids"=>[""], "organization_ids"=>["", "1"]}, "redirect"=>"", "_ie_support"=>"", "id"=>"1-libvirt"}
2017-08-23 08:51:11 7804532f [app] [I] Current user: admin (administrator)
2017-08-23 08:51:12 7804532f [app] [I] Redirected to https://192.168.122.74/subnets
2017-08-23 08:51:12 7804532f [app] [I] Completed 302 Found in 53ms (ActiveRecord: 12.5ms)
2017-08-23 08:51:12 3ede7c22 [app] [I] Started GET "/subnets" for 192.168.122.252 at 2017-08-23 08:51:12 +0000
2017-08-23 08:51:12 3ede7c22 [app] [I] Processing by SubnetsController#index as */*
2017-08-23 08:51:12 3ede7c22 [app] [I] Current user: admin (administrator)
2017-08-23 08:51:12 3ede7c22 [app] [I]   Rendered subnets/index.html.erb within layouts/application (15.7ms)
2017-08-23 08:51:12 3ede7c22 [app] [I]   Rendered common/_searchbar.html.erb (2.2ms)
2017-08-23 08:51:12 3ede7c22 [app] [I]   Rendered layouts/_application_content.html.erb (2.5ms)
2017-08-23 08:51:12 3ede7c22 [app] [I]   Rendered home/_submenu.html.erb (1.0ms)
2017-08-23 08:51:12 3ede7c22 [app] [I]   Rendered home/_user_dropdown.html.erb (1.1ms)
2017-08-23 08:51:12 3ede7c22 [app] [I] Read fragment views/tabs_and_title_records-3 (0.1ms)
2017-08-23 08:51:12 3ede7c22 [app] [I]   Rendered home/_topbar.html.erb (3.0ms)
2017-08-23 08:51:12 3ede7c22 [app] [I]   Rendered layouts/base.html.erb (4.2ms)
2017-08-23 08:51:12 3ede7c22 [app] [I] Completed 200 OK in 41ms (Views: 21.9ms | ActiveRecord: 5.6ms)

Comment 9 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.